<?php if ( get_theme_mod('taxi_booking_vehicle_booking_section_enable') ) : ?>

<div class="vehicle-booking py-5">
	<div class="container">
		<?php if ( get_theme_mod('taxi_booking_vehicle_booking_heading_text') ) : ?>
			<h6 class="text-center"><?php echo esc_html(get_theme_mod('taxi_booking_vehicle_booking_heading_text')); ?></h6>
		<?php endif; ?>
		<?php if ( get_theme_mod('taxi_booking_vehicle_booking_heading') ) : ?>
			<h3 class="pb-4 text-center"><?php echo esc_html(get_theme_mod('taxi_booking_vehicle_booking_heading')); ?></h3>
		<?php endif; ?>

		<div class="tab text-center">
	        <?php $featured_post = get_theme_mod('taxi_booking_vehicle_booking_number', '');
	          	for ( $j = 1; $j <= $featured_post; $j++ ){ ?>
          		<button class="tablinks" onclick="taxi_booking_vehicle_booking_tab(event, '<?php $main_id = get_theme_mod('taxi_booking_vehicle_booking_text'.$j); $tab_id = str_replace(' ', '-', $main_id); echo $tab_id; ?> ')">
	          	<i class="<?php echo esc_attr(get_theme_mod('taxi_booking_vehicle_booking_text'.$j)); ?>"></i></button>
	        <?php }?>
      	</div>

  	  	<?php for ( $j = 1; $j <= $featured_post; $j++ ){ ?>
	        <div id="<?php $main_id = get_theme_mod('taxi_booking_vehicle_booking_text'.$j); $tab_id = str_replace(' ', '-', $main_id); echo $tab_id; ?>"  class="tabcontent mt-5">
		        <?php $args = array(
					'post_type' => 'post',
					'post_status' => 'publish',
					'category_name' =>  get_theme_mod('taxi_booking_vehicle_booking_category'.$j),
					'posts_per_page' => 9,
				); ?>
				<div class="row">
				    <?php $arr_posts = new WP_Query( $args );
				    	if ( $arr_posts->have_posts() ) :
				      	while ( $arr_posts->have_posts() ) :
				        $arr_posts->the_post();
				        ?>
				        <div class="col-lg-6 col-md-6 col-sm-6">
					        <div class="vehicle_booking_inner_box mb-4">
					        	<div class="row">
					        		<div class="col-lg-5 col-md-5 col-sm-5">
				        				<?php if ( has_post_thumbnail() ) : the_post_thumbnail(); endif; ?>
					        		</div>
					        		<div class="col-lg-7 col-md-7 col-sm-7">
					        			<div class="vehicle_booking_content_box">
							        		<h4><?php the_title(); ?></h4>
							        		<?php if( get_post_meta($post->ID, 'taxi_booking_vehicle_passenger', true) ) {?>
							                	<span class="mr-3 info"><?php echo esc_html(get_post_meta($post->ID,'taxi_booking_vehicle_passenger',true)); ?> <?php esc_html_e('Seater','taxi-booking'); ?></span>
							              	<?php }?>
							              	<?php if( get_post_meta($post->ID, 'taxi_booking_vehicle_luggage', true) ) {?>
							                	<span class="info"><?php echo esc_html(get_post_meta($post->ID,'taxi_booking_vehicle_luggage',true)); ?> <?php esc_html_e('Luggage Bags','taxi-booking'); ?></span>
							              	<?php }?>
							              	<p class="mt-2"><?php echo wp_trim_words( get_the_content(), 15 ); ?></p>
						              		<p class="slider-button mt-4">
						              			<?php if( get_post_meta($post->ID, 'taxi_booking_vehicle_price', true) ) {?>
								                	<span class="mr-4 cab-price"><?php echo esc_html(get_post_meta($post->ID,'taxi_booking_vehicle_price',true)); ?></span>
								              	<?php }?>
						                		<a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php esc_html_e('Book Now','taxi-booking'); ?></a>
						              		</p>
							            </div>
					        		</div>
					        	</div>
					        </div>
					    </div>
				      	<?php
				    endwhile;
				    wp_reset_postdata();
				    endif; ?>
				</div>
			</div>
		<?php }?>
	</div>
</div>

<?php endif; ?>